C0=$(CLIB)libdefs.h $(CLIB)keye.h
C1=$(CLIB)ccommon.h $(CLIB)mshell.h $(IP)checks.h
C2=$(CLIB)ccustio.h
C3=$(CLIB)cbpltree.h
C4=$(CLIB)bplpriv.h
C5=$(CLIB)btrbase.h
C6=$(CLIB)btrread.h
C7=$(CLIB)btrwrite.h
C8=$(CLIB)btrdel.h
C9=$(CLIB)cbplcre.h
C10=$(CLIB)cbplutil.h
C11=$(CLIB)cisam.h
C12=$(CLIB)cfiles.h
C13=$(CLIB)cscreen.h
C14=$(CLIB)cprint.h
C15=$(CLIB)cparsexp.h
C16=$(CLIB)ctbutil.h
C17=$(CLIB)ccgutil.h
C18=$(CLIB)ccfutil.h
C19=$(CLIB)csort.h
C20=$(CLIB)cmgutil.h
H0=$(CLIB)stdfiles.h
H1=$(CLIB)genconst.h
H2=$(CLIB)lffilesc.h
H3=$(CLIB)conf.h
H4=$(CLIB)fldtypes.h
H5=$(CLIB)lffilmg.h
H6=$(CLIB)modaut.h
H7=$(CLIB)trditte.h

(%.o):   $(CLIB)%.c  
	$(CCOMP) $(CFLAGS) $(<:.c= ) $*
	$(LIBINSERT) $*.o

.PRECIOUS:  $(LIB)

lib:        $(LIB)
	$(UPDLIB) $(LIB) $(TMPF)

$(LIB):  $(LIB)(getconf.o) $(LIB)(putconf.o) $(LIB)(data.o)\
 $(LIB)(getdata.o) $(LIB)(putdata.o) $(LIB)(time.o) $(LIB)(getaut.o)\
 $(LIB)(editdec.o) $(LIB)(convdec.o) $(LIB)(getditta.o)\
 $(LIB)(putditta.o) $(LIB)(esc.o) $(LIB)(hlprot.o) $(LIB)(glinefd.o)\
 $(LIB)(ccustio.o) $(LIB)(cfiles.o) $(LIB)(cbpltree.o)\
 $(LIB)(btrbase.o) $(LIB)(btrread.o) $(LIB)(btrwrite.o)\
 $(LIB)(btrdel.o) $(LIB)(cbplcre.o) $(LIB)(cbplutil.o) $(LIB)(cisam.o)\
 $(LIB)(islddmp.o) $(LIB)(isreorg.o) $(LIB)(isbuild.o) $(LIB)(csort.o)\
 $(LIB)(mshell.o) $(LIB)(keye.o) $(LIB)(rtrim.o) $(LIB)(upstring.o)\
 $(LIB)(copy.o) $(LIB)(dirs.o) $(LIB)(ioresult.o)

$(LIB)(getconf.o):  $(CLIB)getconf.c $(C0) $(C1) $(C2) $(C12)

$(LIB)(putconf.o):  $(C0) $(C1) $(C2) $(C12) $(CLIB)putconf.c

$(LIB)(data.o):    $(C0) $(C1) $(CLIB)data.c

$(LIB)(getdata.o):  $(C0) $(C1) $(CLIB)getdata.c

$(LIB)(putdata.o):  $(C0) $(C1) $(CLIB)putdata.c

$(LIB)(time.o):  $(C1) $(CLIB)time.c

$(LIB)(getaut.o):  $(C0) $(C1) $(CLIB)getaut.c

$(LIB)(editdec.o):  $(C1) $(CLIB)editdec.c

$(LIB)(convdec.o):  $(C1) $(CLIB)convdec.c

$(LIB)(getditta.o):  $(C0) $(C1) $(H6) $(CLIB)getditta.c

$(LIB)(putditta.o):  $(C0) $(C1) $(CLIB)putditta.c

$(LIB)(esc.o):  $(C0) $(C1) $(CLIB)esc.c

$(LIB)(glinefd.o):  $(C1) $(C2) $(C12) $(CLIB)glinefd.c

$(LIB)(hlprot.o):  $(C0) $(C1) $(CLIB)hlprot.c

$(LIB)(ccustio.o):  $(C1) $(C2) $(H1) $(IP)ccustio.c
	$(CCOMP) -u _POSIX_SOURCE $(CFLAGS) $(IP)ccustio $*
	$(LIBINSERT) $*.o

$(LIB)(cfiles.o):  $(C1) $(C2) $(C12) $(H1) $(H4) $(IP)cfiles.c
	$(CCOMP) $(CFLAGS) $(IP)cfiles  $*
	$(LIBINSERT) $*.o

$(LIB)(cbpltree.o):  $(C1) $(C2) $(C3) $(C4) $(C5) $(C6) $(C7) $(C8) $(H1) $(CLIB)cbpltree.c

$(LIB)(btrbase.o):  $(C1) $(C2) $(C3) $(C4) $(C5) $(C6) $(H1) $(IP)btrbase.c
	$(CCOMP) $(CFLAGS) $(IP)btrbase  $*
	$(LIBINSERT) $*.o

$(LIB)(btrread.o):  $(C1) $(C2) $(C3) $(C4) $(C5) $(C6) $(H1) $(CLIB)btrread.c

$(LIB)(btrwrite.o):  $(C1) $(C2) $(C3) $(C4) $(C5) $(C7) $(H1) $(CLIB)btrwrite.c

$(LIB)(btrdel.o):    $(C1) $(C2) $(C3) $(C4) $(C5) $(C7) $(H1) $(CLIB)btrdel.c

$(LIB)(cbplcre.o):    $(C1) $(C2) $(C3) $(C4) $(C5) $(C9) $(H1) $(CLIB)cbplcre.c

$(LIB)(cbplutil.o):  $(C1) $(C2) $(C3) $(C4) $(C5) $(C11) $(H1) $(CLIB)cbplutil.c

$(LIB)(cisam.o):  $(C0) $(C1) $(C2) $(C3) $(C9) $(C11) $(C12) $(H1) $(IP)cisam.c
	$(CCOMP) -u _POSIX_SOURCE $(CFLAGS) $(IP)cisam $*
	$(LIBINSERT) $*.o

$(LIB)(islddmp.o):  $(C1) $(C2) $(C3) $(C9) $(C11) $(C12) $(H1) $(IP)islddmp.c
	$(CCOMP) $(CFLAGS) $(IP)islddmp  $*
	$(LIBINSERT) $*.o

$(LIB)(isreorg.o):  $(C1) $(C2) $(C3) $(C9) $(C11) $(C12) $(H1) $(IP)isreorg.c
	$(CCOMP) $(CFLAGS) $(IP)isreorg  $*
	$(LIBINSERT) $*.o

$(LIB)(isbuild.o):  $(C1) $(C2) $(C3) $(C9) $(C11) $(C12) $(H1) $(CLIB)isbuild.c

$(LIB)(csort.o):  $(C1) $(C2) $(C3) $(C11) $(C12) $(C19) $(CLIB)csort.c

$(LIB)(mshell.o):  $(CLIB)mshell.h $(CLIB)mshell.c

$(LIB)(keye.o):  $(CLIB)keye.c

$(LIB)(rtrim.o):  $(C0) $(C1) $(CLIB)rtrim.c

$(LIB)(upstring.o):  $(C1) $(CLIB)upstring.c

$(LIB)(copy.o):  $(C0) $(C1) $(CLIB)copy.c

$(LIB)(dirs.o):  $(C0) $(C1) $(CLIB)dirs.c

$(LIB)(ioresult.o):  $(C1) $(CLIB)ioresult.c


